#!/bin/sh

. install2-init-functions
. shell-config

check(){
	for n in $@; do
		[ -f /var/lib/install3/groups/$n.directory ] || continue
		subst 's/X-Alterator-Required=no/X-Alterator-Required=yes/' /var/lib/install3/groups/$n.directory 
		echo 'X-Alterator-Required=yes' >> /var/lib/install3/groups/$n.directory
	done
}

uncheck_all(){
	subst 's/X-Alterator-Required=yes/X-Alterator-Required=no/' /var/lib/install3/groups/*.directory ||:
}

select_profile(){
	mv /var/lib/install3/profiles/$1.directory /var/lib/install3/profiles/0_$1.directory
	uncheck_all
	for n in $(shell_config_get /var/lib/install3/profiles/0_$1.directory X-Alterator-Groups);
	do check $n
	done
}

# alphabet based selection
select_profile $(basename $(ls  /var/lib/install3/profiles/*directory | head -n1) .directory)
